Page MenuHomePhabricator

upload.wikimedia.beta.wmflabs.org certificate expired (October 2021)
Closed, ResolvedPublicBUG REPORT

Description

What is the problem?

When I go to https://upload.wikimedia.beta.wmflabs.org/wikipedia/commons/0/0d/Title_0.8847966507377564.png (for example) my browser warns me that the certificate expired on 10/9/2021.

Event Timeline

November 13, 2020: T267858
January 12, 2021: T271808

@Vgutierrez @Krenair can someone turn trafficserver-tls off and on again?

Mentioned in SAL (#wikimedia-releng) [2021-10-16T16:47:13Z] <Lucas_WMDE> root@deployment-cache-upload06:~# touch /srv/trafficserver/tls/etc/ssl_multicert.config && systemctl reload trafficserver-tls.service # T293070, based on T271808#6739578

That seems to have fixed the URL in the task description, at least. Though some other URLs, such as this Rheinwerk URL in the T271808 task description and also just https://upload.beta.wmflabs.org/, are apparently returning 421 Misdirected Request?

That seems to have fixed the URL in the task description, at least. Though some other URLs, such as this Rheinwerk URL in the T271808 task description and also just https://upload.beta.wmflabs.org/, are apparently returning 421 Misdirected Request?

I deleted that file. That shouldn't result in 421 though.

The Special:Undelete page for it fails to load (Request from - via deployment-cache-text06.deployment-prep.eqiad.wmflabs, ATS/8.0.8 Error: 502, Next Hop Connection Failed at 2021-10-16 19:26:09 GMT) so I can't tell you exactly what it was, but I explained the issue (no source) on https://commons.wikimedia.beta.wmflabs.org/wiki/User_talk:Hasenl%C3%A4uferT.

Aklapper renamed this task from upload.wikimedia.beta.wmflabs.org certificate expired to upload.wikimedia.beta.wmflabs.org certificate expired (October 2021).Oct 18 2021, 6:59 AM

Yeah, in production deleted files just produce a 404, e.g. this upload.wikimedia.org URL from this deleted file. (Edit: and the same is true for thumb URLs of deleted files, e.g. this thumb URL.)

Urbanecm claimed this task.
Urbanecm added a subscriber: Urbanecm.

Works now.